Summary:       Configuration editor for dconf
Name:          dconf-editor
Version:       43.0
Release:       6%{?dist}
License:       GPLv3+ and CC0
URL:           https://wiki.gnome.org/Projects/dconf
Source0:       https://download.gnome.org/sources/dconf-editor/43/dconf-editor-%{version}.tar.xz

BuildRequires: /usr/bin/appstream-util desktop-file-utils gettext meson vala
BuildRequires: pkgconfig(dconf) pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(glib-2.0) pkgconfig(gmodule-2.0) pkgconfig(gtk+-3.0) pkgconfig(libhandy-1)

Requires: dconf glib2 gtk3

%description
Graphical tool for editing the dconf configuration database.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang dconf-editor

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/ca.desrt.dconf-editor.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/ca.desrt.dconf-editor.desktop

%files -f dconf-editor.lang
%license COPYING
%{_datadir}/applications/ca.desrt.dconf-editor.desktop
%{_datadir}/bash-completion/
%{_datadir}/dbus-1/services/ca.desrt.dconf-editor.service
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%{_datadir}/icons/*
%{_datadir}/metainfo/ca.desrt.dconf-editor.appdata.xml
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
